Loading...
Searching...
No Matches
conrec Namespace Reference

## Classes

struct | ConrecSegment
struct | tplHash

## Functions

void | Contour (const double *d, size_t ilb, size_t iub, size_t jlb, size_t jub, const double *x, const double *y, size_t nc, double *z, std::vector< ConrecSegment > &res)
std::vector< std::pair< std::vector< RDGeom::Point2D >, double > > | connectLineSegments (const std::vector< ConrecSegment > &segments, double coordMultiplier=1000, double isoValMultiplier=1e6)

## Function Documentation

## connectLineSegments()

std::vector< std::pair< std::vector< RDGeom::Point2D >, double > > conrec::connectLineSegments | ( | const std::vector< ConrecSegment > & | segments,
|  | double | coordMultiplier = 1000,
|  | double | isoValMultiplier = 1e6 )

inline

Definition at line 224 of file Conrec.h.

## Contour()

void conrec::Contour | ( | const double * | d,
|  | size_t | ilb,
|  | size_t | iub,
|  | size_t | jlb,
|  | size_t | jub,
|  | const double * | x,
|  | const double * | y,
|  | size_t | nc,
|  | double * | z,
|  | std::vector< ConrecSegment > & | res )

inline

Definition at line 43 of file Conrec.h.

References PRECONDITION.